ios - Xcode 6 बीटा-एप्पल मच-ओ लिंकर त्रुटि




compiler-errors swift (4)

जो मैंने सुना है, अभी तक Xcode 6 बीटा 6 टूट गया है। आपको बीटा 5 में स्थापना रद्द करना और रोलबैक करना चाहिए

संपादित करें: जाहिर है, एक नया संस्करण पहले ही निकल चुका है, बस बीटा 6 पुनः स्थापित करें

http://9to5mac.com/2014/08/18/apple-re-releases-xcode-6-beta-6-solves-issues-discovered-by-developers-in-new-build/

Xcode 6 के हाल ही में जारी बीटा 6 को अपडेट करने के बाद, मेरी गलतियां परियोजना निम्नलिखित त्रुटियों के कारण निर्माण करने में विफल हो जाती है।

इस मुद्दे पर पिछले प्रश्नों को देखते हुए, बिल्ड आर्किटेक्चर की जांच करना प्रस्तावित है जो मेरा प्रोजेक्ट पहले से मौजूद है (आर्म 64, आर्मवी 7, आर्मवी 7) का समर्थन करने के लिए सेट है।


सुनिश्चित करें कि आपने कोई अनावश्यक आयात नहीं किया है, उदाहरण के लिए .h फ़ाइल को आयात करते समय


सबसे पहले, सुनिश्चित करें कि आपके पास सबसे हालिया बीटा स्थापित है बाद में अपने DeriveData फ़ोल्डर (~ / Library / Developer / Xcode / DerivedData) को हटा दें। यह आपको नवीनतम बीटा में फिर से संकलन करने की अनुमति देनी चाहिए।

संपादित करें: ऐसा लगता है कि Xcode के नवीनतम बीटा संस्करण के लिए भी सही है


सुनिश्चित करें कि आप नवीनतम Xcode बीटा 6 संस्करण को स्थापित करें। यदि आप Xcode-> Xcode के बारे में जांचते हैं, तो आपको यह देखना चाहिए: Version 6.0 (6A280e)





xcode6-beta6